syntax = "proto3";
option go_package = ".;pb";

message DBMainline {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 chapterId = 3;  //@go_tags(`bson:"chapterId"`) 章节ID
  int32 mainlineId = 4;    //@go_tags(`bson:"mainlineId"`) 主线关卡ID
  int32 awaredID  = 5;  //@go_tags(`bson:"awaredID"`) 是否领奖(设置int是考虑后续扩展有多个宝箱情况)
  repeated int32 branchID = 6; // @go_tags(`bson:"branchID"`) 记录分支通关的情况
}